Package org.jfree.report.modules.gui.swing.printing

# Class PrintTask

java.lang.Object
org.jfree.report.modules.gui.swing.printing.PrintTask

All Implemented Interfaces:
  `Runnable`

public class PrintTask extends Object implements Runnable
Creation-Date: Dec 3, 2006, 3:23:22 PM

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`PrintTask(ReportJob job)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrintTask

public PrintTask(ReportJob job)

## Method Details

### run

public void run()
When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

The general contract of the method `run` is that it may take any action whatsoever.

Specified by:
  `run` in interface `Runnable`
See Also:
  - `Thread.run()`